## GtkAccessible GtkAccessible — Accessibility support for widgets |

## Functions

void | gtk_accessible_connect_widget_destroyed ()
GtkWidget * | gtk_accessible_get_widget ()
void | gtk_accessible_set_widget ()

## Types and Values

struct | GtkAccessible

## Object Hierarchy

        GObject
        ╰── AtkObject
            ╰── GtkAccessible

## Includes

    #include <gtk/gtk.h>

## Description

## Functions

### gtk_accessible_connect_widget_destroyed ()

    void
    gtk_accessible_connect_widget_destroyed
                                   (GtkAccessible *accessible);

This function specifies the callback function to be called when the widget corresponding to a GtkAccessible is destroyed.

#### Parameters

accessible | a GtkAccessible |

### gtk_accessible_get_widget ()

    GtkWidget *
    gtk_accessible_get_widget (GtkAccessible *accessible);

Gets the GtkWidget corresponding to the GtkAccessible. The returned widget does not have a reference added, so you do not need to unref it.

#### Parameters

accessible | a GtkAccessible |

#### Returns

pointer to the GtkWidget corresponding to the GtkAccessible, or `NULL`.

[transfer none]

Since: 2.22

### gtk_accessible_set_widget ()

    void
    gtk_accessible_set_widget (GtkAccessible *accessible,
                               GtkWidget *widget);

Sets the GtkWidget corresponding to the GtkAccessible.

#### Parameters

accessible | a GtkAccessible |
widget | a GtkWidget |

Since: 2.22

## Types and Values

### struct GtkAccessible

    struct GtkAccessible;